## EMBOSS: syco

# Program syco

## Function

Synonymous codon usage Gribskov statistic plot

## Description

syco is a frame-specific gene finder that tries to recognize protein coding sequences by virtue of the similarity of their codon usage to a codon frequency table.

syco finds regions of each forward reading frame of a nucleic acid sequence that show strong codon preference. syco is useful for locating protein coding regions, determining their reading frames, estimating the level of expression of a gene, and locating nucleic acid sequencing errors.

## Usage

Here is a sample session with syco, requesting graphical output.

    % syco -plot -cfile pae
    Synonymous codon usage Gribskov statistic plot
    Input sequence: embl:paamir
    Graph type [x11]:

click here for the result with the correct codon usage file.

It is essential to use the correct codon usage file for the species. For example, click here for the result with the default codon usage file (no -cfile qualifier).

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-sequence]          sequence   Sequence USA
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers: (none)
       Advanced qualifiers:
       -cfile              codon      Codon usage file
       -window             integer    Averaging window
       -uncommon           bool       Show common codon usage
       -minimum            float      Minimum value for a common codon
       -plot               bool       Produce plot

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.syco
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
-cfile | Codon usage file | Codon usage file in EMBOSS data path | Ehum.cut
-window | Averaging window | Any integer value | 30
-uncommon | Show common codon usage | Yes/No | No
-minimum | Minimum value for a common codon | Number from 0.000 to 0.990 | .15
-plot | Produce plot | Yes/No | No

## Input file format

Nucleic acid sequence USA.

## Output file format

Graphical display.

## Data files

Codon usage table files are read in.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

None.

## References

None.

## Warnings

The default codon usage table file is the human Ehum.cut - caution: this may well not be the correct species.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
cai | CAI codon adaptation index
chips | Codon usage statistics
codcmp | Codon usage table comparison
cusp | Create a codon usage table

wobble does the analysis of the third base.

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments